<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Nu-LB-Mini51/inc/i2c_software_gpio.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="../../dir_fb1ccf00aaf7e34f2c293a38601d8f12.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">i2c_software_gpio.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d99/i2c__software__gpio_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifndef __I2C_SOFTWARE_GPIO_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#define __I2C_SOFTWARE_GPIO_H__</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#include &quot;<a class="code" href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">/* Define functions prototype                                                                           */</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>int32_t <a class="code hl_function" href="../../d9/d99/i2c__software__gpio_8h.html#a167814ca2a6f09e100fcb1ccafbae808">I2C_SW_Open</a>(uint32_t u32BusClock);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>int32_t <a class="code hl_function" href="../../d9/d99/i2c__software__gpio_8h.html#a6525fbd9ba4ce82c2520351b92cfd18c">I2C_SW_Send</a>(uint8_t u8Address, uint8_t* p8Data, uint32_t u32ByteSize);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>int32_t <a class="code hl_function" href="../../d9/d99/i2c__software__gpio_8h.html#adb712d967bbb57dc9633386ba4316600">I2C_SW_Get</a>(uint8_t u8Address, uint8_t* p8Data, uint32_t u32ByteSize);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="ttc" id="a_mini51_series_8h_html"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="ai2c__software__gpio_8h_html_a167814ca2a6f09e100fcb1ccafbae808"><div class="ttname"><a href="../../d9/d99/i2c__software__gpio_8h.html#a167814ca2a6f09e100fcb1ccafbae808">I2C_SW_Open</a></div><div class="ttdeci">int32_t I2C_SW_Open(uint32_t u32BusClock)</div><div class="ttdoc">Prepare to start software I2C.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d64/i2c__software__gpio_8c_source.html#l00027">i2c_software_gpio.c:27</a></div></div>
<div class="ttc" id="ai2c__software__gpio_8h_html_a6525fbd9ba4ce82c2520351b92cfd18c"><div class="ttname"><a href="../../d9/d99/i2c__software__gpio_8h.html#a6525fbd9ba4ce82c2520351b92cfd18c">I2C_SW_Send</a></div><div class="ttdeci">int32_t I2C_SW_Send(uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</div><div class="ttdoc">Send data.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d64/i2c__software__gpio_8c_source.html#l00076">i2c_software_gpio.c:76</a></div></div>
<div class="ttc" id="ai2c__software__gpio_8h_html_adb712d967bbb57dc9633386ba4316600"><div class="ttname"><a href="../../d9/d99/i2c__software__gpio_8h.html#adb712d967bbb57dc9633386ba4316600">I2C_SW_Get</a></div><div class="ttdeci">int32_t I2C_SW_Get(uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</div><div class="ttdoc">Read data.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d64/i2c__software__gpio_8c_source.html#l00145">i2c_software_gpio.c:145</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:38 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
